[arch-commits] CVS update of extra/network/davfs2 (3 files)

Thomas Baechler thomas at archlinux.org
Sat Aug 25 06:32:34 EDT 2007


    Date: Saturday, August 25, 2007 @ 06:32:34
  Author: thomas
    Path: /home/cvs-extra/extra/network/davfs2

   Added: davfs2-neon.patch (1.1)
Modified: PKGBUILD (1.5 -> 1.6)
 Removed: davfs2-homedir.patch (1.1)

upgpkg: davfs2 1.2.2-1


----------------------+
 PKGBUILD             |   22 ++++++++++++----------
 davfs2-homedir.patch |   11 -----------
 davfs2-neon.patch    |   26 ++++++++++++++++++++++++++
 3 files changed, 38 insertions(+), 21 deletions(-)


Index: extra/network/davfs2/PKGBUILD
diff -u extra/network/davfs2/PKGBUILD:1.5 extra/network/davfs2/PKGBUILD:1.6
--- extra/network/davfs2/PKGBUILD:1.5	Tue Aug 21 21:51:01 2007
+++ extra/network/davfs2/PKGBUILD	Sat Aug 25 06:32:34 2007
@@ -1,26 +1,28 @@
-# $Id: PKGBUILD,v 1.5 2007/08/22 01:51:01 eric Exp $
+# $Id: PKGBUILD,v 1.6 2007/08/25 10:32:34 thomas Exp $
 # Maintainer: Thomas Baechler <thomas at archlinux.org>
 pkgname=davfs2
-pkgver=1.1.3
-pkgrel=2
+pkgver=1.2.2
+pkgrel=1
 pkgdesc="File system driver that allows you to mount a WebDAV server as a local disk drive."
 arch=(i686 x86_64)
 url="http://dav.sourceforge.net"
-license=('GPL')
-depends=('neon>=0.25.5-4' 'heimdal>=0.8.1')
+license="GPL"
+depends=('neon>=0.25.5-6')
 backup=(etc/davfs2/davfs2.conf etc/davfs2/secrets)
 install=davfs2.install
-source=(http://mesh.dl.sourceforge.net/sourceforge/dav/$pkgname-$pkgver.tar.gz \
-        davfs2-homedir.patch)
-md5sums=('bbae406b692ca33ca1ed974dade1ca56' '708d54f623205eba198b8220b5bb6daf')
+source=(http://mesh.dl.sourceforge.net/sourceforge/dav/$pkgname-$pkgver.tar.gz
+        davfs2-neon.patch)
+#md5sums=('147d36163101d226467a78d499f2459e'
+#         '708d54f623205eba198b8220b5bb6daf')
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
   # Arch has some users with homedir / by default
   # This patch fixes a sanity check that prevents the "user" option
   # working if this is the case
-  patch -Np1 -i $startdir/src/davfs2-homedir.patch || return 1
-  ./configure --prefix=/usr --sysconfdir=/etc --disable-debug
+  #patch -Np1 -i $startdir/src/davfs2-homedir.patch || return 1
+  patch -Np1 -i $startdir/src/davfs2-neon.patch
+  dav_user=nobody dav_group=network ./configure --prefix=/usr --sysconfdir=/etc --disable-debug
   make || return 1
   # Create some dirs
   install -d -m755 $startdir/pkg/sbin
Index: extra/network/davfs2/davfs2-homedir.patch
diff -u extra/network/davfs2/davfs2-homedir.patch:1.1 extra/network/davfs2/davfs2-homedir.patch:removed
--- extra/network/davfs2/davfs2-homedir.patch:1.1	Sun Oct 15 20:01:27 2006
+++ extra/network/davfs2/davfs2-homedir.patch	Sat Aug 25 06:32:34 2007
@@ -1,11 +0,0 @@
-diff -ur davfs2-1.1.2.orig/src/mount_davfs.c davfs2-1.1.2/src/mount_davfs.c
---- davfs2-1.1.2.orig/src/mount_davfs.c	2006-10-11 22:15:05.000000000 +0200
-+++ davfs2-1.1.2/src/mount_davfs.c	2006-10-16 01:47:53.000000000 +0200
-@@ -573,6 +573,7 @@
-             while (pw != NULL) {
-                 if (pw->pw_dir != NULL && pw->pw_uid != args->uid
-                         && strlen(pw->pw_dir) > 0
-+                        && strcmp(pw->pw_dir, "/")
-                         && strstr(mpoint, pw->pw_dir) == mpoint)
-                     error(EXIT_FAILURE, 0,
-                           "You can't mount into another users home directory.\n"
Index: extra/network/davfs2/davfs2-neon.patch
diff -u /dev/null extra/network/davfs2/davfs2-neon.patch:1.1
--- /dev/null	Sat Aug 25 06:32:34 2007
+++ extra/network/davfs2/davfs2-neon.patch	Sat Aug 25 06:32:34 2007
@@ -0,0 +1,26 @@
+diff -Nur davfs2-1.2.2.orig/configure davfs2-1.2.2/configure
+--- davfs2-1.2.2.orig/configure	2007-07-07 11:28:15.000000000 +0200
++++ davfs2-1.2.2/configure	2007-08-25 11:56:54.000000000 +0200
+@@ -5546,7 +5546,7 @@
+ echo "${ECHO_T}$ne_cv_lib_neon" >&6; }
+     if test "$ne_cv_lib_neon" = "yes"; then
+        ne_cv_lib_neonver=no
+-       for v in 24 25 26; do
++       for v in 24 25 26 27; do
+           case $ne_libver in
+           0.$v.*) ne_cv_lib_neonver=yes ;;
+           esac
+diff -Nur davfs2-1.2.2.orig/src/Makefile.in davfs2-1.2.2/src/Makefile.in
+--- davfs2-1.2.2.orig/src/Makefile.in	2007-07-07 18:19:59.000000000 +0200
++++ davfs2-1.2.2/src/Makefile.in	2007-08-25 12:02:18.000000000 +0200
+@@ -496,8 +496,8 @@
+ 	chmod u+s $(DESTDIR)$(sbindir)/mount.davfs; \
+ 	if test "$(sbindir)" != "$(ssbindir)"; then \
+ 	  $(mkinstalldirs) $(DESTDIR)$(ssbindir); \
+-	  $(LN_S) -f $(DESTDIR)$(sbindir)/mount.davfs $(DESTDIR)$(ssbindir)/mount.davfs; \
+-	  $(LN_S) -f $(DESTDIR)$(sbindir)/umount.davfs $(DESTDIR)$(ssbindir)/umount.davfs; \
++	  $(LN_S) -f $(sbindir)/mount.davfs $(DESTDIR)$(ssbindir)/mount.davfs; \
++	  $(LN_S) -f $(sbindir)/umount.davfs $(DESTDIR)$(ssbindir)/umount.davfs; \
+ 	fi
+ 
+ uninstall-hook:




More information about the arch-commits mailing list